//package com.unitesk.requality.eclipse.views.actions;
//
//import org.eclipse.core.resources.IFile;
//import org.eclipse.core.resources.IResource;
//import org.eclipse.swt.widgets.Shell;
//import org.eclipse.ui.IWorkbenchPart;
//import org.eclipse.ui.IWorkbenchWindow;
//import org.eclipse.team.svn.core.IStateFilter;
//import org.eclipse.team.svn.core.operation.CompositeOperation;
//import org.eclipse.team.svn.core.utility.FileUtility;
//import org.eclipse.team.svn.ui.SVNTeamUIPlugin;
//import org.eclipse.team.svn.ui.action.IResourceSelector;
//import org.eclipse.team.svn.ui.action.local.CommitAction;
//import org.eclipse.team.svn.ui.extension.ExtensionsManager;
//import org.eclipse.team.svn.ui.extension.factory.ICommitDialog;
//import org.eclipse.team.svn.ui.mapping.ModelHelper;
//import org.eclipse.team.svn.ui.mapping.SVNModelParticipantChangeSetCapability;
//import org.eclipse.team.svn.ui.panel.local.CommitPanel;
//import org.eclipse.team.svn.ui.synchronize.SVNChangeSetCapability;
//import org.eclipse.team.svn.ui.utility.CommitActionUtility;
//import org.eclipse.team.svn.ui.utility.UIMonitorUtility;
//import org.eclipse.jface.action.Action;
//
//import com.unitesk.requality.eclipse.tools.ResourceStorage;
//import com.unitesk.requality.eclipse.views.requirements.ReqTreeView;
//
//public class CommitResourceAction extends Action {
//
//    private ReqTreeView view;
//
//    public CommitResourceAction(ReqTreeView view) {
//	this.view = view;
//    }
//
//    public void run() {
//	try{
//	    ResourceStorage rs = (ResourceStorage) view.getSelectedRequirement().getTreeDB().getStorage();
//	    IFile reqFile = rs.getResource(view.getSelectedRequirement().getUUId());
//	    IResource[] resources = {reqFile};
//	    commit(resources);
//	} catch (Exception e){
//	    e.printStackTrace();
//	}
//    }
//
//    public boolean hasOutgoingChanges(IResource[] resources) {
//	return FileUtility.checkForResourcesPresence(resources,
//		CommitAction.SF_ANY_CHANGE, IResource.DEPTH_ZERO);
//    }
//
//    public void commit(final IResource[] resources) {
//	CommitActionUtility commitUtility = new CommitActionUtility(
//		new IResourceSelector() {
//		    public IResource[] getSelectedResources() {
//			return resources;
//		    }
//
//		    public IResource[] getSelectedResourcesRecursive(
//			    IStateFilter filter) {
//			return this.getSelectedResources(filter);
//		    }
//
//		    public IResource[] getSelectedResourcesRecursive(
//			    IStateFilter filter, int depth) {
//			return this.getSelectedResources(filter);
//		    }
//
//		    public IResource[] getSelectedResources(IStateFilter filter) {
//			return FileUtility.getResourcesRecursive(
//				this.getSelectedResources(), filter,
//				IResource.DEPTH_ZERO);
//		    }
//		});
//	String proposedComment = ModelHelper.isShowModelSync() ? SVNModelParticipantChangeSetCapability
//		.getProposedComment(commitUtility.getAllResources())
//		: SVNChangeSetCapability.getProposedComment(commitUtility
//			.getAllResources());
//	CommitPanel commitPanel = new CommitPanel(
//		commitUtility.getAllResources(), CommitPanel.MSG_COMMIT,
//		proposedComment);
//	Shell shell = UIMonitorUtility.getShell();
//	ICommitDialog commitDialog = ExtensionsManager
//		.getInstance()
//		.getCurrentCommitFactory()
//		.getCommitDialog(shell, commitUtility.getAllResourcesSet(),
//			commitPanel);
//
//	if (commitDialog.open() == 0) {
//	    IResource[] selectedResources = commitPanel.getSelectedResources();
//	    IWorkbenchWindow window = SVNTeamUIPlugin.instance().getWorkbench()
//		    .getActiveWorkbenchWindow();
//	    IWorkbenchPart part = window == null ? null : window
//		    .getPartService().getActivePart();
//	    CompositeOperation op = commitUtility.getCompositeCommitOperation(
//		    selectedResources, commitDialog.getMessage(),
//		    commitPanel.getKeepLocks(), shell, part);
//	    UIMonitorUtility.doTaskScheduledActive(op);
//	}
//    }
//}
