package patterns;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;


public class UsingAttrsAndPedicates {

	@Before
	public static void before() throws Exception {
		// 
		// 
		// 
	}
	
	@Test
	public static void case1() throws Exception {
		//  01   11  12.
		// 01   a = 1,   12 -  a = 2.
		// 01   a<=1.
		// . ,       11.	
	}
	
	@Test
	public static void case2() throws Exception {
		//  01   11,     111.
		// :  01 a=1,  11 a=2,  111 a=3.
		// :  01 a<=3,  11 a<=2.
		// . ,       111.	
	}
	
	@Test
	public static void caseWithBaseRequirement() throws Exception {
		//   :
		//01  1  2. 1  11  12. 11  111  112. 12  121  122.
		// :  1 a=1,  11 a=3,  111  122 a=4.
		// :  1 a<=3.
		//    01.       (   ):
		//01 1 11 112 12 121 2
		
		//   11  Base requirement:
		//  Add... 
		//  Requirement selection ,     .
		//,   OK  .
		//->   12.
		//,   OK  .
		//-> OK
		//,   Base requirements   12.
		// .
		//    01.
		//,       (   ):
		//01 1 11 112 121 12 121 2
		
		//   11    12:
		//,   Remove  Base requirements .
		//  12  Base requirements.
		//,   Remove  Base requirements .
		// Remove. ,   12   Base requirements.
		//.     01.      (   ):
		//01 1 11 112 12 121 2


	}
	
	@After
	public static void sleep() throws Exception {
		
	}
}
